Groovy 1.7.0

## groovy.ui
Class ConsoleSupport

    java.lang.Object
      groovy.ui.ConsoleSupport

    class ConsoleSupport
    extends Object

Base class for console

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Style` | `commandStyle`
`int` | `counter`
`Style` | `outputStyle`
`Style` | `promptStyle`

Constructor Summary
`ConsoleSupport()`

Method Summary
`protected void` | `addStylesToDocument(JTextPane outputArea)`
`protected Object` | `evaluate(String text)`
`Style` | `getCommandStyle()`
`Style` | `getOutputStyle()`
`Style` | `getPromptStyle()`
`GroovyShell` | `getShell()`
`protected void` | `handleException(String text, Exception e)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### commandStyle

    Style commandStyle

### counter

    int counter

### outputStyle

    Style outputStyle

### promptStyle

    Style promptStyle

Constructor Detail

### ConsoleSupport

    ConsoleSupport()

Method Detail

### addStylesToDocument

    protected void addStylesToDocument(JTextPane outputArea)

### evaluate

    protected Object evaluate(String text)

### getCommandStyle

    public Style getCommandStyle()

### getOutputStyle

    public Style getOutputStyle()

### getPromptStyle

    public Style getPromptStyle()

### getShell

    public GroovyShell getShell()

### handleException

    protected void handleException(String text, Exception e)

Copyright © 2003-2009 The Codehaus. All rights reserved.